RTEMS: mpc5200_ Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Structures | Data Fields
mpc5200_ Struct Reference

## Data Structures
struct | mpc5200_gpt
struct | mpc5200_i2c_regs_s
struct | mpc5200_mscan
struct | mpc5200_psc
struct | mpc5200_slt

## Data Fields
volatile mpc5200_mm | mm
volatile uint8_t | mc [0x100]
volatile uint8_t | cdm [0x100]
volatile mpc5200_csc | csc
volatile uint8_t | sct [0x100]
volatile uint32_t | per_mask
volatile uint32_t | per_pri_1
volatile uint32_t | per_pri_2
volatile uint32_t | per_pri_3
volatile uint32_t | ext_en_type
volatile uint32_t | crit_pri_main_mask
volatile uint32_t | main_pri_1
volatile uint32_t | main_pri_2
volatile uint32_t | res1
volatile uint32_t | pmce
volatile uint32_t | csa
volatile uint32_t | msa
volatile uint32_t | psa
volatile uint32_t | res2
volatile uint32_t | psa_be
volatile uint8_t | res3 [0xC4]
struct mpc5200_::mpc5200_gpt | gpt [MPC5200_GPT_NO]
volatile uint8_t | gpt_res [0x80]
struct mpc5200_::mpc5200_slt | slt [MPC5200_SLT_NO]
volatile uint8_t | slt_res [0xE0]
volatile uint8_t | rtc [0x100]
struct mpc5200_::mpc5200_mscan | mscan [MPC5200_CAN_NO]
volatile uint8_t | res [0x100]
volatile uint32_t | gpiopcr
volatile uint32_t | gpiosen
volatile uint32_t | gpiosod
volatile uint32_t | gpiosdd
volatile uint32_t | gpiosdo
volatile uint32_t | gpiosdi
volatile uint32_t | gpiooe
volatile uint32_t | gpioodo
volatile uint32_t | gpiosie
volatile uint32_t | gpiosiod
volatile uint32_t | gpiosidd
volatile uint32_t | gpiosido
volatile uint32_t | gpiosiie
volatile uint32_t | gpiosiit
volatile uint32_t | gpiosime
volatile uint32_t | gpiosist
volatile uint8_t | res4 [0xC0]
volatile uint32_t | gpiowe
volatile uint32_t | gpiowod
volatile uint32_t | gpiowdd
volatile uint32_t | gpiowdo
volatile uint32_t | gpiowue
volatile uint32_t | gpiowsie
volatile uint32_t | gpiowt
volatile uint32_t | gpiowme
volatile uint32_t | gpiowi
volatile uint32_t | gpiows
volatile uint8_t | gpiow_res [0xD8]
volatile uint8_t | ppci [0x100]
volatile uint8_t | ir [0x100]
volatile uint8_t | spi [0x100]
volatile uint8_t | usb [0x200]
volatile mpc5200_sdma | sdma
volatile uint32_t | EU00
volatile uint32_t | EU01
volatile uint32_t | EU02
volatile uint32_t | EU03
volatile uint32_t | EU04
volatile uint32_t | EU05
volatile uint32_t | EU06
volatile uint32_t | EU07
volatile uint32_t | EU10
volatile uint32_t | EU11
volatile uint32_t | EU12
volatile uint32_t | EU13
volatile uint32_t | EU14
volatile uint32_t | EU15
volatile uint32_t | EU16
volatile uint32_t | EU17
volatile uint32_t | EU20
volatile uint32_t | EU21
volatile uint32_t | EU22
volatile uint32_t | EU23
volatile uint32_t | EU24
volatile uint32_t | EU25
volatile uint32_t | EU26
volatile uint32_t | EU27
volatile uint32_t | EU30
volatile uint32_t | EU31
volatile uint32_t | EU32
volatile uint32_t | EU33
volatile uint32_t | EU34
volatile uint32_t | EU35
volatile uint32_t | EU36
volatile uint32_t | EU37
volatile uint8_t | res_1300 [0xc00]
volatile uint32_t | reserved0
volatile uint32_t | reserved1
volatile uint32_t | reserved2
volatile uint32_t | reserved3
volatile uint32_t | reserved4
volatile uint32_t | reserved5
volatile uint32_t | reserved6
volatile uint32_t | reserved7
volatile uint32_t | reserved8
volatile uint32_t | reserved9
volatile uint32_t | reserved10
volatile uint32_t | reserved11
volatile uint32_t | reserved12
volatile uint32_t | reserved13
volatile uint32_t | reserved14
volatile uint32_t | reserved15
volatile uint32_t | config
volatile uint32_t | version
volatile uint32_t | xlb_status
volatile uint32_t | int_enable
volatile uint32_t | add_capture
volatile uint32_t | bus_sig_capture
volatile uint32_t | add_time_out
volatile uint32_t | data_time_out
volatile uint32_t | bus_time_out
volatile uint32_t | priority_enable
volatile uint32_t | priority
volatile uint32_t | arb_base_addr2
volatile uint32_t | snoop_window
volatile uint32_t | reserved16
volatile uint32_t | reserved17
volatile uint32_t | reserved18
volatile uint32_t | control
volatile uint32_t | init_total_count
volatile uint32_t | int_total_count
volatile uint32_t | reserved19
volatile uint32_t | lower_address
volatile uint32_t | higher_address
volatile uint32_t | int_window_count
volatile uint32_t | window_ter_count
volatile uint8_t | res_0x1fa0 [0x60]
struct mpc5200_::mpc5200_psc | psc [MPC5200_PSC_REG_SETS]
volatile uint8_t | irda [0x200]
volatile uint32_t | fec_id
volatile uint32_t | ievent
volatile uint32_t | imask
volatile uint32_t | res9 [1]
volatile uint32_t | r_des_active
volatile uint32_t | x_des_active
volatile uint32_t | r_des_active_cl
volatile uint32_t | x_des_active_cl
volatile uint32_t | ivent_set
volatile uint32_t | ecntrl
volatile uint32_t | res10 [6]
volatile uint32_t | mii_data
volatile uint32_t | mii_speed
volatile uint32_t | mii_status
volatile uint32_t | res11 [5]
volatile uint32_t | mib_data
volatile uint32_t | mib_control
volatile uint32_t | res12 [6]
volatile uint32_t | r_activate
volatile uint32_t | r_cntrl
volatile uint32_t | r_hash
volatile uint32_t | r_data
volatile uint32_t | ar_done
volatile uint32_t | r_test
volatile uint32_t | r_mib
volatile uint32_t | r_da_low
volatile uint32_t | r_da_high
volatile uint32_t | res13 [7]
volatile uint32_t | x_activate
volatile uint32_t | x_cntrl
volatile uint32_t | backoff
volatile uint32_t | x_data
volatile uint32_t | x_status
volatile uint32_t | x_mib
volatile uint32_t | x_test
volatile uint32_t | fdxfc_da1
volatile uint32_t | fdxfc_da2
volatile uint32_t | paddr1
volatile uint32_t | paddr2
volatile uint32_t | op_pause
volatile uint32_t | res14 [4]
volatile uint32_t | instr_reg
volatile uint32_t | context_reg
volatile uint32_t | test_cntrl
volatile uint32_t | acc_reg
volatile uint32_t | ones
volatile uint32_t | zeros
volatile uint32_t | iaddr1
volatile uint32_t | iaddr2
volatile uint32_t | gaddr1
volatile uint32_t | gaddr2
volatile uint32_t | random
volatile uint32_t | rand1
volatile uint32_t | tmp
volatile uint32_t | res15 [3]
volatile uint32_t | fifo_id
volatile uint32_t | x_wmrk
volatile uint32_t | fcntrl
volatile uint32_t | r_bound
volatile uint32_t | r_fstart
volatile uint32_t | r_count
volatile uint32_t | r_lag
volatile uint32_t | r_read
volatile uint32_t | r_write
volatile uint32_t | x_count
volatile uint32_t | x_lag
volatile uint32_t | x_retry
volatile uint32_t | x_write
volatile uint32_t | x_read
volatile uint32_t | res16 [2]
volatile uint32_t | fm_cntrl
volatile uint32_t | rfifo_data
volatile uint32_t | rfifo_status
volatile uint32_t | rfifo_cntrl
volatile uint32_t | rfifo_lrf_ptr
volatile uint32_t | rfifo_lwf_ptr
volatile uint32_t | rfifo_alarm
volatile uint32_t | rfifo_rdptr
volatile uint32_t | rfifo_wrptr
volatile uint32_t | tfifo_data
volatile uint32_t | tfifo_status
volatile uint32_t | tfifo_cntrl
volatile uint32_t | tfifo_lrf_ptr
volatile uint32_t | tfifo_lwf_ptr
volatile uint32_t | tfifo_alarm
volatile uint32_t | tfifo_rdptr
volatile uint32_t | tfifo_wrptr
volatile uint32_t | reset_cntrl
volatile uint32_t | xmit_fsm
volatile uint32_t | res17 [3]
volatile uint32_t | rdes_data0
volatile uint32_t | rdes_data1
volatile uint32_t | r_length
volatile uint32_t | x_length
volatile uint32_t | x_addr
volatile uint32_t | cdes_data
volatile uint32_t | status
volatile uint32_t | dma_control
volatile uint32_t | des_cmnd
volatile uint32_t | data
volatile uint8_t | RES [0x600]
volatile uint8_t | pci [0x200]
volatile uint32_t | ata_hcfg
volatile uint32_t | ata_hsr
volatile uint32_t | ata_pio1
volatile uint32_t | ata_pio2
volatile uint32_t | ata_dma1
volatile uint32_t | ata_dma2
volatile uint32_t | ata_udma1
volatile uint32_t | ata_udma2
volatile uint32_t | ata_udma3
volatile uint32_t | ata_udma4
volatile uint32_t | ata_udma5
volatile uint32_t | ata_res1 [4]
volatile uint32_t | ata_rtfdwr
volatile uint32_t | ata_rtfsr
volatile uint32_t | ata_rtfcr
volatile uint32_t | ata_rtfar
volatile uint32_t | ata_rtfrpr
volatile uint32_t | ata_rtfwpr
volatile uint32_t | ata_res2 [2]
volatile uint32_t | ata_dctr_dasr
volatile uint32_t | ata_ddr
volatile uint32_t | ata_dfr_der
volatile uint32_t | ata_dscr
volatile uint32_t | ata_dsnr
volatile uint32_t | ata_dclr
volatile uint32_t | ata_dchr
volatile uint32_t | ata_ddhr
volatile uint32_t | ata_dcr_dsr
volatile uint32_t | ata_res3 [0xA0]
struct mpc5200_::mpc5200_i2c_regs_s | i2c_regs [2]
volatile uint8_t | res_3d80 [0x280]
volatile uint8_t | sram_res0x4000 [0x4000]
volatile uint8_t | sram [0x4000]

The documentation for this struct was generated from the following file:

- bsps/powerpc/gen5200/include/bsp/mpc5200.h